<?php

//Clase: Orden de Servicio
class clase
{
	var $nom_tabla = 'dntrab_g';
	var $no_reg;
	var $id_doc;
	var $doc;
	var $id_emp;
//Funcion de Revision
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE no_nom = '$this->no_nom'";
	   	@$result = mysqli_query($con ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";	
		}else{
			$error = 'Error N:' . mysqli_errno($con) . " : " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla SET id_doc='$this->id_doc',  doc='$this->doc', id_emp='$this->id_emp', acc_fec=CURDATE(), acc_hor=CURTIME(), usuario='".$_SESSION['num_usu']."'";
	   	@$result = mysqli_query($con ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . " : " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($no_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE no_reg = '$no_reg'";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}
	//funcion para verificar datos
	function verifica(){
		$sql= "SELECT * FROM dnnomdoc LEFT JOIN $this->nom_tabla ON($this->nom_tabla.id_doc=dnnomdoc.id_doc AND $this->nom_tabla.id_emp='$this->id_emp')";
		//echo $sql;
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}

	function getDoc(){
		$sql= "SELECT dnnomdoc.* FROM dnnomdoc LEFT JOIN $this->nom_tabla ON($this->nom_tabla.id_doc=dnnomdoc.id_doc AND $this->nom_tabla.id_emp='$this->id_emp') WHERE $this->nom_tabla.doc IS NULL";
		//echo $sql;
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}
	
	function getDocMod(){
		$sql= "SELECT dnnomdoc.* FROM dnnomdoc LEFT JOIN $this->nom_tabla ON($this->nom_tabla.id_doc=dnnomdoc.id_doc AND $this->nom_tabla.id_emp='$this->id_emp') WHERE $this->nom_tabla.doc IS NULL OR dnnomdoc.id_doc='$this->id_doc'";
		//echo $sql;
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}			
//Funcion de Modificar
	function modificar($no_reg){
		$sql = "UPDATE $this->nom_tabla  SET id_doc='$this->id_doc',  doc='$this->doc', id_emp='$this->id_emp', acc_fec=CURDATE(), acc_hor=CURTIME(), usuario='".$_SESSION['num_usu']."' where no_reg = '$no_reg'";
		$result= mysqli_query($con ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($no_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE no_reg = '$no_reg'";
		$resultado = mysqli_query($con ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}           
	}   
}       
?>